Page MenuHomePhabricator

Write Quips extension for Phabricator
Closed, DeclinedPublic

Tokens
"Manufacturing Defect?" token, awarded by Reedy."Mountain of Wealth" token, awarded by polybuildr."Doubloon" token, awarded by Ciencia_Al_Poder.
Assigned To
None
Authored By
Reedy, Sep 24 2014

Description

It's important!


Version: unspecified
Severity: blocker

Details

Reference
bz71245

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:53 AM
bzimport added a project: Wikimedia-Bugzilla.
bzimport set Reference to bz71245.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Sep 24 2014, 6:43 PM
Petrb added a comment.Sep 24 2014, 6:46 PM

in order to follow the phabricator extension naming it should be called 'quiphs' :)

Uhm, this issue somehow slipped through SB2PMRDP (sophisticated Bugzilla to Phabricator migration regression detection program) it seems.

We need this!

(In reply to Peter Bena from comment #1)

in order to follow the phabricator extension naming it should be called
'quiphs' :)

I'm not sure. ph replaces the f, not the p.

demon added a comment.Oct 29 2014, 9:41 PM

Definitely needing this. It's a blocker for my day-to-day work.

Aklapper lowered the priority of this task from Low to Lowest.Nov 23 2014, 11:10 PM
Aklapper edited projects, added Phabricator; removed Wikimedia-Bugzilla.
Aklapper set Security to None.
Dzahn added a subscriber: Dzahn.Nov 26 2014, 8:19 PM

here you go with the raw data, quips from BZ installation, because it was requested on IRC:

https://phabricator.wikimedia.org/P110

here you go with the raw data, quips from BZ installation, because it was requested on IRC:
https://phabricator.wikimedia.org/P110

Should we try a mass-submission to bash.org, just for the lulz?

it's lacking the user ID from BZ who added it. but i removed that per Reedy. let me know if you want a full dump that incl. the users who added them and the "approved" bit

  • enable meme button (T906)
  • take BZ quips and use some meme generator to "convert"
  • upload them as memes
  • profit ?
Dereckson added a comment.EditedNov 27 2014, 1:42 AM

When we'll be willing to maintain an installation of Phabricator different of upstream (something Phabricator helps with a configuration allowing to load extra classes), I can write a quips application.

Actually, I want it too for another Phabricator install I maintain.

But it's not wise to add a maintenance cost (rebase a production branch against the master branch each time we upgrade, even in a scenario with virtually* no conflict) before a real need occurs.

So I offer to delay this bug as long as we don't have any other customization need, and when we have, go for a quips application.

(*) at worst, on three Phabricator installations I maintain, when we have static resources changes such CSS customizaton, the Celerity map is to be regenerated.


I'm not comfortable with the Dzahn plan. Quips were added in a very particular and precise context, for a very narrow use, for a very restricted diffusion.

The context were the MediaWiki development process, the narrow use is to be sometimes published of the top of bug tracker, the very restricted diffusion is this is only visible on the bug tracker.

So I've some issues with the idea to convert them to memes.

Tthat also go for bash.org mass upload idea of Nemo, especially as that would violate the spirit if not the law (as it's covered by short quote right) of Freenode rules to not publish public logs and some quotes come from IRC.

Nemo_bis added a comment.EditedNov 27 2014, 6:48 AM

When we'll be willing to maintain an installation of Phabricator different of upstream

This is not an option, we're forced to; it's just a matter of what will be our first local application.

See https://secure.phabricator.com/book/phabcontrib/article/feature_requests/ :

features which are aimed at a different group of users (like students, casual projects, or inexperienced computer users) may be harder to get upstreamed

And https://secure.phabricator.com/book/phabcontrib/article/contributing_code/#alternatives

When we'll be willing to maintain an installation of Phabricator different of upstream

This is not an option, we're forced to; it's just a matter of what will be our first local application.

You'll perhaps take care to note I've used when and not if.

Sorry, I'll be clearer: the when is now.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 27 2014, 9:41 AM

A basic question: where should/can the quips be placed?

Dereckson added a comment.EditedNov 27 2014, 1:10 PM

Footer to be less interface disruptive, with an experimental option for .phabricator-crumbs-view (the top bar, where you have the application icon and the monogram of the current element).

Petrb removed a subscriber: Petrb.Nov 27 2014, 1:13 PM
Petrb added a subscriber: Petrb.
In T73245#790815, @Qgil wrote:

A basic question: where should/can the quips be placed?

The simplest approach is to show them in roughly the same scenarios Bugzilla does, which I think is just on search result screens

A separate dedicated application would perhaps be better here, though in ways it feels a bit overkill to me.

Just brainstorming... do pastes allow tags? We could maybe leverage the Paste application for this. If you can add a tag or project to pastes, you can presumably generate an index of pastes by their associated tag or project, re-implementing a full quip list. To expose specific pastes on the search results page, you could either inject a list of pastes into the HTML page source and select one randomly with JavaScript. Or you could expose an API end-point (over HTTP or internally) that grabs a random paste that's attached to a specific tag or project.

A separate dedicated application would perhaps be better here, though in ways it feels a bit overkill to me.
Just brainstorming... do pastes allow tags?

Yes: https://phabricator.wikimedia.org/P124

I've taken the dump of bugzilla and extracted all the quips (excluding the not approved ones), and I've put them on mediawiki.org
Quips

I hope that's good for now, since I doubt this task is going anywhere...

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:52 PM
polybuildr added a subscriber: polybuildr.

I've taken the Bugzilla dumps and used them to setup a tool at https://tools.wmflabs.org/bash/. There is a bit of description in the README.md in the tool's source repo describing the stack.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 4 2016, 12:27 PM
Aklapper moved this task from Need discussion to Misc on the Phabricator board.Oct 7 2016, 4:40 PM
Aklapper closed this task as Declined.Jul 27 2018, 7:30 PM

But it's not wise to add a maintenance cost

Indeed